Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.record.compiler.generated
Class Rcc

    java.lang.Object
      org.apache.hadoop.record.compiler.generated.Rcc

All Implemented Interfaces:
  RccConstants

Deprecated. Replaced by Avro.

    @Deprecated
    @InterfaceAudience.Public
    @InterfaceStability.Stable
    public class Rcc

extends Object
implements RccConstants

Field Summary
`Token` | `jj_nt` Deprecated.
`Token` | `token` Deprecated.
`RccTokenManager` | `token_source` Deprecated.

Fields inherited from interface org.apache.hadoop.record.compiler.generated.RccConstants
`BOOLEAN_TKN, BUFFER_TKN, BYTE_TKN, COMMA_TKN, CSTRING_TKN, DEFAULT, DOT_TKN, DOUBLE_TKN, EOF, FLOAT_TKN, GT_TKN, IDENT_TKN, INCLUDE_TKN, INT_TKN, LBRACE_TKN, LONG_TKN, LT_TKN, MAP_TKN, MODULE_TKN, RBRACE_TKN, RECORD_TKN, SEMICOLON_TKN, tokenImage, USTRING_TKN, VECTOR_TKN, WithinMultiLineComment, WithinOneLineComment`

Constructor Summary
`Rcc(InputStream stream)` Deprecated.
`Rcc(InputStream stream, String encoding)` Deprecated.
`Rcc(RccTokenManager tm)` Deprecated.
`Rcc(Reader stream)` Deprecated.

Method Summary
`void` | `disable_tracing()` Deprecated.
`static int` | `driver(String[] args)` Deprecated.
`void` | `enable_tracing()` Deprecated.
`JField<JType>` | `Field()` Deprecated.
`ParseException` | `generateParseException()` Deprecated.
`Token` | `getNextToken()` Deprecated.
`Token` | `getToken(int index)` Deprecated.
`JFile` | `Include()` Deprecated.
`JFile` | `Input()` Deprecated.
`static void` | `main(String[] args)` Deprecated.
`JMap` | `Map()` Deprecated.
`ArrayList<JRecord>` | `Module()` Deprecated.
`String` | `ModuleName()` Deprecated.
`JRecord` | `Record()` Deprecated.
`ArrayList<JRecord>` | `RecordList()` Deprecated.
`void` | `ReInit(InputStream stream)` Deprecated.
`void` | `ReInit(InputStream stream, String encoding)` Deprecated.
`void` | `ReInit(RccTokenManager tm)` Deprecated.
`void` | `ReInit(Reader stream)` Deprecated.
`JType` | `Type()` Deprecated.
`static void` | `usage()` Deprecated.
`JVector` | `Vector()` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### token_source

    public RccTokenManager token_source

  Deprecated.

### token

    public Token token

  Deprecated.

### jj_nt

    public Token jj_nt

  Deprecated.

Constructor Detail

### Rcc

    public Rcc(InputStream stream)

  Deprecated.

### Rcc

    public Rcc(InputStream stream,
               String encoding)

  Deprecated.

### Rcc

    public Rcc(Reader stream)

  Deprecated.

### Rcc

    public Rcc(RccTokenManager tm)

  Deprecated.

Method Detail

### main

    public static void main(String[] args)

  Deprecated.

### usage

    public static void usage()

  Deprecated.

### driver

    public static int driver(String[] args)

  Deprecated.

### Input

    public final JFile Input()
                      throws ParseException

  Deprecated.
  Throws:
    `ParseException`

### Include

    public final JFile Include()
                        throws ParseException

  Deprecated.
  Throws:
    `ParseException`

### Module

    public final ArrayList<JRecord> Module()
                                    throws ParseException

  Deprecated.
  Throws:
    `ParseException`

### ModuleName

    public final String ModuleName()
                            throws ParseException

  Deprecated.
  Throws:
    `ParseException`

### RecordList

    public final ArrayList<JRecord> RecordList()
                                        throws ParseException

  Deprecated.
  Throws:
    `ParseException`

### Record

    public final JRecord Record()
                         throws ParseException

  Deprecated.
  Throws:
    `ParseException`

### Field

    public final JField<JType> Field()
                              throws ParseException

  Deprecated.
  Throws:
    `ParseException`

### Type

    public final JType Type()
                     throws ParseException

  Deprecated.
  Throws:
    `ParseException`

### Map

    public final JMap Map()
                   throws ParseException

  Deprecated.
  Throws:
    `ParseException`

### Vector

    public final JVector Vector()
                         throws ParseException

  Deprecated.
  Throws:
    `ParseException`

### ReInit

    public void ReInit(InputStream stream)

  Deprecated.

### ReInit

    public void ReInit(InputStream stream,
                       String encoding)

  Deprecated.

### ReInit

    public void ReInit(Reader stream)

  Deprecated.

### ReInit

    public void ReInit(RccTokenManager tm)

  Deprecated.

### getNextToken

    public final Token getNextToken()

  Deprecated.

### getToken

    public final Token getToken(int index)

  Deprecated.

### generateParseException

    public ParseException generateParseException()

  Deprecated.

### enable_tracing

    public final void enable_tracing()

  Deprecated.

### disable_tracing

    public final void disable_tracing()

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 Apache Software Foundation. All Rights Reserved.